<template>
  <div class="loader-overlay">
    <div class="loader">
      <svg viewBox="0 0 120 120" version="1.1" xmlns="http://www.w3.org/2000/svg">
        <g>
          <circle
            class="point one"
            cx="45"
            cy="70"
            r="5"
          />
          <circle
            class="point two"
            cx="60"
            cy="70"
            r="5"
          />
          <circle
            class="point three"
            cx="75"
            cy="70"
            r="5"
          />
        </g>
      </svg>
    </div>
  </div>
</template>

<script setup>

</script>

<style scoped>
.loader-overlay {
  --color-1: #a5a7bb;
  --color-2: #a496a4;
  --color-3: #554d73;
  
  z-index: 1;
  background-color: lightgray;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
}

.loader {
  width: 150px;
  height: 150px;
}
svg {
  width: 90%;
  fill: none;
}

.point {
  animation: bounce 1s infinite ease-in-out;
  &.one {
    fill: var(--color-1);
    animation-delay: 0s;
  }
  &.two {
    fill: var(--color-2);
    animation-delay: 0.1s;
  }
  &.three {
    fill: var(--color-3);
    animation-delay: 0.2s;
  }
}

@keyframes bounce {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
}
@keyframes load {
  0% {
    stroke-dashoffset: 570;
  }
  50% {
    stroke-dashoffset: 530;
  }
  100% {
    stroke-dashoffset: 570;
    transform: rotate(360deg);
  }
}

</style>
